import request from '@/utils/request'

// 查询积分记录列表
export function listPointChangeLog(query) {
  return request({
    url: '/cai/pointChangeLog/list',
    method: 'get',
    params: query
  })
}

// 查询积分记录详细
export function getPointChangeLog(id) {
  return request({
    url: '/cai/pointChangeLog/' + id,
    method: 'get'
  })
}

// 新增积分记录
export function addPointChangeLog(data) {
  return request({
    url: '/cai/pointChangeLog',
    method: 'post',
    data: data
  })
}

// 修改积分记录
export function updatePointChangeLog(data) {
  return request({
    url: '/cai/pointChangeLog',
    method: 'put',
    data: data
  })
}

// 删除积分记录
export function delPointChangeLog(id) {
  return request({
    url: '/cai/pointChangeLog/' + id,
    method: 'delete'
  })
}
